diff --git a/math/cantor/pkg-plist b/math/cantor/pkg-plist
index d32a9c757467..015402dfc5a4 100644
--- a/math/cantor/pkg-plist
+++ b/math/cantor/pkg-plist
@@ -37,34 +37,34 @@ lib/libcantor_config.so
 lib/libcantorlibs.so
 lib/libcantorlibs.so.%%KDE_APPLICATIONS_VERSION%%
 lib/libcantorlibs.so.28
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_advancedplotassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_creatematrixassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_differentiateassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_eigenvaluesassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_eigenvectorsassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_importpackageassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_integrateassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_invertmatrixassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_plot2dassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_plot3dassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_qalculateplotassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_runscriptassistant.so
-%%QT_PLUGINDIR%%/cantor/assistants/cantor_solveassistant.so
-%%QT_PLUGINDIR%%/cantor/backends/cantor_kalgebrabackend.so
-%%LUAJIT%%%%QT_PLUGINDIR%%/cantor/backends/cantor_luabackend.so
-%%QT_PLUGINDIR%%/cantor/backends/cantor_maximabackend.so
-%%QT_PLUGINDIR%%/cantor/backends/cantor_octavebackend.so
-%%QT_PLUGINDIR%%/cantor/backends/cantor_pythonbackend.so
-%%QT_PLUGINDIR%%/cantor/backends/cantor_qalculatebackend.so
-%%R%%%%QT_PLUGINDIR%%/cantor/backends/cantor_rbackend.so
-%%QT_PLUGINDIR%%/cantor/backends/cantor_sagebackend.so
-%%QT_PLUGINDIR%%/cantor/backends/cantor_scilabbackend.so
-%%QT_PLUGINDIR%%/cantor/panels/cantor_documentationpanelplugin.so
-%%QT_PLUGINDIR%%/cantor/panels/cantor_filebrowserpanelplugin.so
-%%QT_PLUGINDIR%%/cantor/panels/cantor_helppanelplugin.so
-%%QT_PLUGINDIR%%/cantor/panels/cantor_tocpanelplugin.so
-%%QT_PLUGINDIR%%/cantor/panels/cantor_variablemanagerplugin.so
-%%QT_PLUGINDIR%%/kf5/parts/cantorpart.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_advancedplotassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_creatematrixassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_differentiateassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_eigenvaluesassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_eigenvectorsassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_importpackageassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_integrateassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_invertmatrixassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_plot2dassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_plot3dassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_qalculateplotassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_runscriptassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/assistants/cantor_solveassistant.so
+%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_kalgebrabackend.so
+%%LUAJIT%%%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_luabackend.so
+%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_maximabackend.so
+%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_octavebackend.so
+%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_pythonbackend.so
+%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_qalculatebackend.so
+%%R%%%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_rbackend.so
+%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_sagebackend.so
+%%QT_PLUGINDIR%%/cantor_plugins/backends/cantor_scilabbackend.so
+%%QT_PLUGINDIR%%/cantor_plugins/panels/cantor_documentationpanelplugin.so
+%%QT_PLUGINDIR%%/cantor_plugins/panels/cantor_filebrowserpanelplugin.so
+%%QT_PLUGINDIR%%/cantor_plugins/panels/cantor_helppanelplugin.so
+%%QT_PLUGINDIR%%/cantor_plugins/panels/cantor_tocpanelplugin.so
+%%QT_PLUGINDIR%%/cantor_plugins/panels/cantor_variablemanagerplugin.so
+%%QT_PLUGINDIR%%/kf6/parts/cantorpart.so
 share/applications/org.kde.cantor.desktop
 %%DATADIR%%/latex/preview.sty
 %%DATADIR%%/maximabackend/cantor-initmaxima.lisp
@@ -76,8 +76,8 @@ share/applications/org.kde.cantor.desktop
 %%DATADIR%%/xslt/latex.xsl
 share/config.kcfg/cantor.kcfg
 share/config.kcfg/cantor_libs.kcfg
-share/config.kcfg/kalgebrabackend.kcfg
 %%LUAJIT%%share/config.kcfg/luabackend.kcfg
+share/config.kcfg/kalgebrabackend.kcfg
 share/config.kcfg/maximabackend.kcfg
 share/config.kcfg/octavebackend.kcfg.in
 share/config.kcfg/pythonbackend.kcfg
@@ -103,8 +103,8 @@ share/icons/hicolor/48x48/apps/scilabbackend.png
 share/icons/hicolor/64x64/apps/cantor.png
 share/knsrcfiles/cantor-documentation.knsrc
 share/knsrcfiles/cantor.knsrc
-share/knsrcfiles/cantor_kalgebra.knsrc
 %%LUAJIT%%share/knsrcfiles/cantor_lua.knsrc
+share/knsrcfiles/cantor_kalgebra.knsrc
 share/knsrcfiles/cantor_maxima.knsrc
 share/knsrcfiles/cantor_octave.knsrc
 share/knsrcfiles/cantor_python.knsrc
@@ -112,22 +112,6 @@ share/knsrcfiles/cantor_qalculate.knsrc
 %%R%%share/knsrcfiles/cantor_r.knsrc
 share/knsrcfiles/cantor_sage.knsrc
 share/knsrcfiles/cantor_scilab.knsrc
-share/kxmlgui5/cantor/cantor_advancedplot_assistant.rc
-share/kxmlgui5/cantor/cantor_create_matrix_assistant.rc
-share/kxmlgui5/cantor/cantor_differentiate_assistant.rc
-share/kxmlgui5/cantor/cantor_eigenvalues_assistant.rc
-share/kxmlgui5/cantor/cantor_eigenvectors_assistant.rc
-share/kxmlgui5/cantor/cantor_import_package_assistant.rc
-share/kxmlgui5/cantor/cantor_integrate_assistant.rc
-share/kxmlgui5/cantor/cantor_invert_matrix_assistant.rc
-share/kxmlgui5/cantor/cantor_part.rc
-share/kxmlgui5/cantor/cantor_plot2d_assistant.rc
-share/kxmlgui5/cantor/cantor_plot3d_assistant.rc
-share/kxmlgui5/cantor/cantor_qalculateplotassistant.rc
-share/kxmlgui5/cantor/cantor_runscript_assistant.rc
-share/kxmlgui5/cantor/cantor_scripteditor.rc
-share/kxmlgui5/cantor/cantor_shell.rc
-share/kxmlgui5/cantor/cantor_solve_assistant.rc
 share/locale/ar/LC_MESSAGES/cantor.mo
 share/locale/bg/LC_MESSAGES/cantor.mo
 share/locale/bs/LC_MESSAGES/cantor.mo
@@ -146,6 +130,7 @@ share/locale/fi/LC_MESSAGES/cantor.mo
 share/locale/fr/LC_MESSAGES/cantor.mo
 share/locale/ga/LC_MESSAGES/cantor.mo
 share/locale/gl/LC_MESSAGES/cantor.mo
+share/locale/he/LC_MESSAGES/cantor.mo
 share/locale/hr/LC_MESSAGES/cantor.mo
 share/locale/hu/LC_MESSAGES/cantor.mo
 share/locale/ia/LC_MESSAGES/cantor.mo
diff --git a/math/kalgebra/Makefile b/math/kalgebra/Makefile
index 14ef2a001444..f61727d32cb3 100644
--- a/math/kalgebra/Makefile
+++ b/math/kalgebra/Makefile
@@ -10,15 +10,13 @@ LIB_DEPENDS=	libAnalitza.so:math/analitza
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext gl kde:5 \
-		readline qt:5 tar:xz
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext gl kde:6 \
+		qt:6 readline tar:xz
 USE_GL=		glu
-USE_KDE=	auth codecs config configwidgets coreaddons doctools i18n \
-		kio plasma-workspace service widgetsaddons xmlgui \
+USE_KDE=	auth codecs config configwidgets coreaddons doctools i18n kio \
+		plasma-workspace service widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui location network opengl printsupport \
-		svg testlib webchannel widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 CMAKE_ARGS=	-DBUILD_mobile:BOOL=FALSE
 
 OPTIONS_DEFINE=	DOCS WEBENGINE
@@ -26,8 +24,8 @@ OPTIONS_DEFAULT_amd64=	WEBENGINE
 OPTIONS_DEFAULT_i386=	WEBENGINE
 OPTIONS_SUB=	yes
 
-WEBENGINE_DESC=	Add dependency on qt5-webengine
+WEBENGINE_DESC=	Add dependency on qt6-webengine
 WEBENGINE_USE=	QT=webengine
-WEBENGINE_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets
+WEBENGINE_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_Qt6WebEngineWidgets
 
 .include <bsd.port.mk>
diff --git a/math/kalgebra/distinfo b/math/kalgebra/distinfo
index b8b7254de917..bc83d9af5374 100644
--- a/math/kalgebra/distinfo
+++ b/math/kalgebra/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889317
-SHA256 (KDE/release-service/23.08.5/kalgebra-23.08.5.tar.xz) = 042f17211de75c7e65cf2e7b07718e882eae08c56fc9aa52538f63326ae9533a
-SIZE (KDE/release-service/23.08.5/kalgebra-23.08.5.tar.xz) = 1039996
+TIMESTAMP = 1734460239
+SHA256 (KDE/release-service/24.12.0/kalgebra-24.12.0.tar.xz) = a67ced988de126ed57531dc474a118d6b52d9d53918c5ca12627c5f7b02dd64a
+SIZE (KDE/release-service/24.12.0/kalgebra-24.12.0.tar.xz) = 948732
diff --git a/math/kalgebra/pkg-plist b/math/kalgebra/pkg-plist
index ac877aea7f24..82f90389365b 100644
--- a/math/kalgebra/pkg-plist
+++ b/math/kalgebra/pkg-plist
@@ -8,6 +8,8 @@ share/icons/hicolor/scalable/apps/kalgebra.svgz
 %%WEBENGINE%%share/katepart5/syntax/kalgebra.xml
 share/locale/ar/LC_MESSAGES/kalgebra.mo
 share/locale/ar/LC_MESSAGES/kalgebramobile.mo
+share/locale/ast/LC_MESSAGES/kalgebra.mo
+share/locale/ast/LC_MESSAGES/kalgebramobile.mo
 share/locale/be/LC_MESSAGES/kalgebra.mo
 share/locale/bg/LC_MESSAGES/kalgebra.mo
 share/locale/bg/LC_MESSAGES/kalgebramobile.mo
@@ -27,12 +29,14 @@ share/locale/el/LC_MESSAGES/kalgebramobile.mo
 share/locale/en_GB/LC_MESSAGES/kalgebra.mo
 share/locale/en_GB/LC_MESSAGES/kalgebramobile.mo
 share/locale/eo/LC_MESSAGES/kalgebra.mo
+share/locale/eo/LC_MESSAGES/kalgebramobile.mo
 share/locale/es/LC_MESSAGES/kalgebra.mo
 share/locale/es/LC_MESSAGES/kalgebramobile.mo
 share/locale/et/LC_MESSAGES/kalgebra.mo
 share/locale/et/LC_MESSAGES/kalgebramobile.mo
 share/locale/eu/LC_MESSAGES/kalgebra.mo
 share/locale/eu/LC_MESSAGES/kalgebramobile.mo
+share/locale/fa/LC_MESSAGES/kalgebra.mo
 share/locale/fi/LC_MESSAGES/kalgebra.mo
 share/locale/fi/LC_MESSAGES/kalgebramobile.mo
 share/locale/fr/LC_MESSAGES/kalgebra.mo
@@ -40,10 +44,13 @@ share/locale/fr/LC_MESSAGES/kalgebramobile.mo
 share/locale/ga/LC_MESSAGES/kalgebra.mo
 share/locale/gl/LC_MESSAGES/kalgebra.mo
 share/locale/gl/LC_MESSAGES/kalgebramobile.mo
+share/locale/he/LC_MESSAGES/kalgebra.mo
+share/locale/he/LC_MESSAGES/kalgebramobile.mo
 share/locale/hi/LC_MESSAGES/kalgebra.mo
 share/locale/hne/LC_MESSAGES/kalgebra.mo
 share/locale/hr/LC_MESSAGES/kalgebra.mo
 share/locale/hu/LC_MESSAGES/kalgebra.mo
+share/locale/hu/LC_MESSAGES/kalgebramobile.mo
 share/locale/ia/LC_MESSAGES/kalgebra.mo
 share/locale/ia/LC_MESSAGES/kalgebramobile.mo
 share/locale/it/LC_MESSAGES/kalgebra.mo
diff --git a/math/kalk/Makefile b/math/kalk/Makefile
index 46d40081cf99..26fc65fa16f0 100644
--- a/math/kalk/Makefile
+++ b/math/kalk/Makefile
@@ -9,11 +9,13 @@ WWW=		https://apps.kde.org/kalk
 LICENSE=	GPLv3+
 
 LIB_DEPENDS=	libgmp.so:math/gmp \
-		libmpfr.so:math/mpfr
+		libmpfr.so:math/mpfr \
+		libqalculate.so:math/libqalculate
 
-USES=		bison cmake desktop-file-utils kde:5 qt:5 tar:xz
-USE_KDE=	config coreaddons ecm:build i18n kirigami2 unitconversion
-USE_QT=		core declarative gui network quickcontrols2 testlib widgets \
-		buildtools:build qmake:build
+USES=		bison cmake desktop-file-utils gettext kde:6 pkgconfig qt:6 \
+		tar:xz
+USE_KDE=	config coreaddons i18n kirigami2 unitconversion \
+		ecm:build
+USE_QT=		base declarative
 
 .include <bsd.port.mk>
diff --git a/math/kalk/distinfo b/math/kalk/distinfo
index 2e9776f17dab..dd43bf1b754f 100644
--- a/math/kalk/distinfo
+++ b/math/kalk/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889314
-SHA256 (KDE/release-service/23.08.5/kalk-23.08.5.tar.xz) = d9e5e9534e64b670e20171f397601b2278aa8bf962e216388ee3b4dc893397e0
-SIZE (KDE/release-service/23.08.5/kalk-23.08.5.tar.xz) = 85792
+TIMESTAMP = 1734460240
+SHA256 (KDE/release-service/24.12.0/kalk-24.12.0.tar.xz) = 98cd7960e05f4e10f92d076f7933db4ae46900bd1bea5807b3db941798e5ea94
+SIZE (KDE/release-service/24.12.0/kalk-24.12.0.tar.xz) = 77216
diff --git a/math/kalk/pkg-plist b/math/kalk/pkg-plist
index 2dc13681e4ee..be2abef9bfee 100644
--- a/math/kalk/pkg-plist
+++ b/math/kalk/pkg-plist
@@ -2,18 +2,22 @@ bin/kalk
 share/applications/org.kde.kalk.desktop
 share/icons/hicolor/scalable/apps/org.kde.kalk.svg
 share/locale/ar/LC_MESSAGES/kalk.mo
+share/locale/ast/LC_MESSAGES/kalk.mo
 share/locale/az/LC_MESSAGES/kalk.mo
 share/locale/ca/LC_MESSAGES/kalk.mo
 share/locale/ca@valencia/LC_MESSAGES/kalk.mo
 share/locale/cs/LC_MESSAGES/kalk.mo
+share/locale/da/LC_MESSAGES/kalk.mo
 share/locale/de/LC_MESSAGES/kalk.mo
 share/locale/el/LC_MESSAGES/kalk.mo
 share/locale/en_GB/LC_MESSAGES/kalk.mo
+share/locale/eo/LC_MESSAGES/kalk.mo
 share/locale/es/LC_MESSAGES/kalk.mo
 share/locale/eu/LC_MESSAGES/kalk.mo
 share/locale/fi/LC_MESSAGES/kalk.mo
 share/locale/fr/LC_MESSAGES/kalk.mo
 share/locale/gl/LC_MESSAGES/kalk.mo
+share/locale/he/LC_MESSAGES/kalk.mo
 share/locale/hi/LC_MESSAGES/kalk.mo
 share/locale/hu/LC_MESSAGES/kalk.mo
 share/locale/ia/LC_MESSAGES/kalk.mo
@@ -22,6 +26,7 @@ share/locale/ja/LC_MESSAGES/kalk.mo
 share/locale/ka/LC_MESSAGES/kalk.mo
 share/locale/ko/LC_MESSAGES/kalk.mo
 share/locale/lt/LC_MESSAGES/kalk.mo
+share/locale/lv/LC_MESSAGES/kalk.mo
 share/locale/nl/LC_MESSAGES/kalk.mo
 share/locale/nn/LC_MESSAGES/kalk.mo
 share/locale/pa/LC_MESSAGES/kalk.mo
diff --git a/math/kbruch/Makefile b/math/kbruch/Makefile
index 1b1ff987ec4d..b273cf47d296 100644
--- a/math/kbruch/Makefile
+++ b/math/kbruch/Makefile
@@ -1,21 +1,19 @@
 PORTNAME=	kbruch
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	math education kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
-COMMENT=	KDE 4 application to exercise fractions
+COMMENT=	KDE application to exercise fractions
 WWW=		https://www.kde.org/applications/education/kbruch
 
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth config crash codecs configwidgets coreaddons doctools \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs config configwidgets coreaddons crash doctools \
 		i18n widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus gui xml widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/math/kbruch/distinfo b/math/kbruch/distinfo
index 909577de1c3a..3ad0213f55c8 100644
--- a/math/kbruch/distinfo
+++ b/math/kbruch/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889316
-SHA256 (KDE/release-service/23.08.5/kbruch-23.08.5.tar.xz) = db7d47e7823bc9ff5824a86e690638bdc8ae7507ff32ad772a80c63b87e01182
-SIZE (KDE/release-service/23.08.5/kbruch-23.08.5.tar.xz) = 5662960
+TIMESTAMP = 1734460242
+SHA256 (KDE/release-service/24.12.0/kbruch-24.12.0.tar.xz) = e063a8c9b48454e930d2d6e300e836959eba63abb6dc58900eadf66a2e1c8cbe
+SIZE (KDE/release-service/24.12.0/kbruch-24.12.0.tar.xz) = 5157772
diff --git a/math/kbruch/pkg-plist b/math/kbruch/pkg-plist
index 503062383328..4b4e4ae86512 100644
--- a/math/kbruch/pkg-plist
+++ b/math/kbruch/pkg-plist
@@ -21,10 +21,8 @@ share/icons/hicolor/scalable/apps/kbruch.svgz
 %%DATADIR%%/pics/icon_learning_1.png
 %%DATADIR%%/pics/icon_test_case.png
 %%DATADIR%%/pics/icon_test_case_1.png
-share/kxmlgui5/kbruch/AppMenuWidgetui.rc
-share/kxmlgui5/kbruch/FractionRingWidgetui.rc
-share/kxmlgui5/kbruch/kbruchui.rc
 share/locale/ar/LC_MESSAGES/kbruch.mo
+share/locale/ast/LC_MESSAGES/kbruch.mo
 share/locale/be/LC_MESSAGES/kbruch.mo
 share/locale/bg/LC_MESSAGES/kbruch.mo
 share/locale/bn/LC_MESSAGES/kbruch.mo
@@ -104,6 +102,7 @@ share/man/nl/man1/kbruch.1.gz
 share/man/pt/man1/kbruch.1.gz
 share/man/pt_BR/man1/kbruch.1.gz
 share/man/ru/man1/kbruch.1.gz
+share/man/sl/man1/kbruch.1.gz
 share/man/sv/man1/kbruch.1.gz
 share/man/uk/man1/kbruch.1.gz
 share/metainfo/org.kde.kbruch.appdata.xml
diff --git a/math/kcalc/Makefile b/math/kcalc/Makefile
index 482a266f3259..73fc1e2caa38 100644
--- a/math/kcalc/Makefile
+++ b/math/kcalc/Makefile
@@ -11,12 +11,11 @@ LIB_DEPENDS=	libgmp.so:math/gmp \
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash doctools \
-		guiaddons i18n init notifications widgetsaddons xmlgui \
+		guiaddons i18n notifications widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus gui widgets xml \
-		buildtools:build qmake:build
+USE_QT=		5compat base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/math/kcalc/distinfo b/math/kcalc/distinfo
index c855ec21a16c..bba4c9cf8a6c 100644
--- a/math/kcalc/distinfo
+++ b/math/kcalc/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889313
-SHA256 (KDE/release-service/23.08.5/kcalc-23.08.5.tar.xz) = e545d67389f25b480b4eff2c40617b4e97172717d297d86e5c07ff7a6317437e
-SIZE (KDE/release-service/23.08.5/kcalc-23.08.5.tar.xz) = 441012
+TIMESTAMP = 1734460244
+SHA256 (KDE/release-service/24.12.0/kcalc-24.12.0.tar.xz) = 467ada64363dbba0434358f68bd8852b8417e7bfafc279b3e378f8a729c83b30
+SIZE (KDE/release-service/24.12.0/kcalc-24.12.0.tar.xz) = 470944
diff --git a/math/kcalc/pkg-plist b/math/kcalc/pkg-plist
index 1af8073a3aec..44197bc1d5ae 100644
--- a/math/kcalc/pkg-plist
+++ b/math/kcalc/pkg-plist
@@ -5,6 +5,7 @@ share/kconf_update/kcalcrc.upd
 share/kglobalaccel/org.kde.kcalc.desktop
 share/locale/af/LC_MESSAGES/kcalc.mo
 share/locale/ar/LC_MESSAGES/kcalc.mo
+share/locale/ast/LC_MESSAGES/kcalc.mo
 share/locale/az/LC_MESSAGES/kcalc.mo
 share/locale/be/LC_MESSAGES/kcalc.mo
 share/locale/bg/LC_MESSAGES/kcalc.mo
diff --git a/math/kig/Makefile b/math/kig/Makefile
index e868b30f4c18..78fe06b87144 100644
--- a/math/kig/Makefile
+++ b/math/kig/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kig
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	math education kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,14 +8,16 @@ WWW=		https://www.kde.org/applications/education/kig
 
 LIB_DEPENDS=	${PY_BOOST}
 
-USES=		cmake gettext compiler:c++11-lib desktop-file-utils kde:5 \
-		python:run qt:5 shebangfix tar:xz xorg
+USES=		cmake compiler:c++11-lib desktop-file-utils gettext kde:5 qt:5 \
+		shebangfix tar:xz xorg \
+		python:run
 USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
-		crash doctools emoticons i18n iconthemes init itemmodels \
-		jobwidgets kdelibs4support kio parts service solid sonnet syntaxhighlighting \
-		texteditor textwidgets widgetsaddons windowsystem xmlgui \
+		jobwidgets kdelibs4support kio parts service solid sonnet \
+		syntaxhighlighting texteditor textwidgets widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport svg widgets xml xmlpatterns \
+USE_QT=		concurrent core dbus gui network printsupport svg widgets xml \
+		xmlpatterns \
 		buildtools:build qmake:build
 USE_XORG=	x11
 SHEBANG_FILES=	pykig/pykig.py
diff --git a/math/kig/distinfo b/math/kig/distinfo
index d83b52a2e3bf..7278bfd49414 100644
--- a/math/kig/distinfo
+++ b/math/kig/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889315
-SHA256 (KDE/release-service/23.08.5/kig-23.08.5.tar.xz) = af60bd4d9440dd404ebd2be0d6799a8e571307b16034ca5c790a1c6b0b2d705e
-SIZE (KDE/release-service/23.08.5/kig-23.08.5.tar.xz) = 3298936
+TIMESTAMP = 1734460246
+SHA256 (KDE/release-service/24.12.0/kig-24.12.0.tar.xz) = 99ec248a49c0c2a0e94020db6fa06f1fc9d2811b3a46b5fc3ddcca197abeb397
+SIZE (KDE/release-service/24.12.0/kig-24.12.0.tar.xz) = 3246700
diff --git a/math/kig/pkg-plist b/math/kig/pkg-plist
index 307939d95f5b..d72dbd721db8 100644
--- a/math/kig/pkg-plist
+++ b/math/kig/pkg-plist
@@ -299,9 +299,6 @@ share/katepart5/syntax/python-kig.xml
 %%DATADIR%%/icons/hicolor/scalable/actions/vectordifference.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/vectorsum.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/w.svgz
-%%DATADIR%%/tips
-share/kxmlgui5/kig/kigpartui.rc
-share/kxmlgui5/kig/kigui.rc
 share/locale/ar/LC_MESSAGES/kig.mo
 share/locale/be/LC_MESSAGES/kig.mo
 share/locale/bg/LC_MESSAGES/kig.mo
@@ -380,4 +377,4 @@ share/man/pt_BR/man1/kig.1.gz
 share/man/ru/man1/kig.1.gz
 share/man/sv/man1/kig.1.gz
 share/man/uk/man1/kig.1.gz
-share/metainfo/org.kde.kig.appdata.xml
+share/metainfo/org.kde.kig.metainfo.xml
diff --git a/math/kmplot/Makefile b/math/kmplot/Makefile
index 6e112b8e15d7..22be804ed46f 100644
--- a/math/kmplot/Makefile
+++ b/math/kmplot/Makefile
@@ -1,22 +1,20 @@
 PORTNAME=	kmplot
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	math education kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Mathematical function plotter for KDE
 WWW=		https://www.kde.org/applications/education/kmplot
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons crash dbusaddons emoticons guiaddons i18n \
-		iconthemes init itemmodels itemviews jobwidgets \
-		kdelibs4support kio notifications parts service solid sonnet \
-		textwidgets unitconversion widgetsaddons windowsystem xmlgui \
+		coreaddons crash dbusaddons guiaddons i18n iconthemes \
+		itemmodels itemviews jobwidgets kio notifications parts \
+		service solid sonnet textwidgets unitconversion widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/math/kmplot/distinfo b/math/kmplot/distinfo
index a1ddf0af03a4..454e02d3e7d7 100644
--- a/math/kmplot/distinfo
+++ b/math/kmplot/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889317
-SHA256 (KDE/release-service/23.08.5/kmplot-23.08.5.tar.xz) = 84e9047935e4497a05bc3c8ca9fd5525bc71b094cb6f48a78093537898bc2d17
-SIZE (KDE/release-service/23.08.5/kmplot-23.08.5.tar.xz) = 3101360
+TIMESTAMP = 1734460247
+SHA256 (KDE/release-service/24.12.0/kmplot-24.12.0.tar.xz) = add2d9e6f0f19c7ff195a4d591b00dc75aaea934961b064a48a6d41c08918185
+SIZE (KDE/release-service/24.12.0/kmplot-24.12.0.tar.xz) = 3022248
diff --git a/math/kmplot/pkg-plist b/math/kmplot/pkg-plist
index 98429b937dc7..c1d7cffbb5cc 100644
--- a/math/kmplot/pkg-plist
+++ b/math/kmplot/pkg-plist
@@ -1,5 +1,5 @@
 bin/kmplot
-%%QT_PLUGINDIR%%/kf5/parts/kmplotpart.so
+%%QT_PLUGINDIR%%/kf6/parts/kmplotpart.so
 share/applications/org.kde.kmplot.desktop
 share/config.kcfg/kmplot.kcfg
 share/dbus-1/interfaces/org.kde.kmplot.KmPlot.xml
@@ -13,10 +13,6 @@ share/icons/hicolor/32x32/apps/kmplot.png
 share/icons/hicolor/48x48/apps/kmplot.png
 share/icons/hicolor/64x64/apps/kmplot.png
 share/icons/hicolor/scalable/apps/kmplot.svgz
-share/kservices5/kmplot_part.desktop
-share/kxmlgui5/kmplot/kmplot_part.rc
-share/kxmlgui5/kmplot/kmplot_part_readonly.rc
-share/kxmlgui5/kmplot/kmplot_shell.rc
 share/locale/af/LC_MESSAGES/kmplot.mo
 share/locale/ar/LC_MESSAGES/kmplot.mo
 share/locale/be/LC_MESSAGES/kmplot.mo
@@ -46,6 +42,7 @@ share/locale/hi/LC_MESSAGES/kmplot.mo
 share/locale/hne/LC_MESSAGES/kmplot.mo
 share/locale/hr/LC_MESSAGES/kmplot.mo
 share/locale/hu/LC_MESSAGES/kmplot.mo
+share/locale/ia/LC_MESSAGES/kmplot.mo
 share/locale/is/LC_MESSAGES/kmplot.mo
 share/locale/it/LC_MESSAGES/kmplot.mo
 share/locale/ja/LC_MESSAGES/kmplot.mo
@@ -100,6 +97,7 @@ share/man/pl/man1/kmplot.1.gz
 share/man/pt/man1/kmplot.1.gz
 share/man/pt_BR/man1/kmplot.1.gz
 share/man/ru/man1/kmplot.1.gz
+share/man/sl/man1/kmplot.1.gz
 share/man/sv/man1/kmplot.1.gz
 share/man/uk/man1/kmplot.1.gz
 share/metainfo/org.kde.kmplot.appdata.xml
diff --git a/math/rkward/Makefile b/math/rkward/Makefile
index 2cf27f9cbc5d..278fe74dfed2 100644
--- a/math/rkward/Makefile
+++ b/math/rkward/Makefile
@@ -24,7 +24,7 @@ USE_QT=		buildtools concurrent core dbus declarative gui location	\
 		widgets xml
 USE_XORG=	ice x11 xext
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets coreaddons\
-		crash doctools ecm i18n itemviews jobwidgets kate:run kio	\
+		crash doctools ecm i18n itemviews jobwidgets kio	\
 		notifications parts service solid sonnet syntaxhighlighting texteditor	\
 		textwidgets widgetsaddons windowsystem xmlgui
 
diff --git a/math/rocs/Makefile b/math/rocs/Makefile
index 5fccf731f10c..dab1cb906d75 100644
--- a/math/rocs/Makefile
+++ b/math/rocs/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	rocs
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	math education kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,15 +8,15 @@ WWW=		https://www.kde.org/applications/education/rocs
 
 LIB_DEPENDS=	libboost_thread.so:devel/boost-libs
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext grantlee:5 kde:5 \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
+		grantlee:5 kde:5 qt:5 tar:xz xorg
 USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
 		crash i18n itemviews jobwidgets kdeclarative kio package parts \
 		service solid sonnet syntaxhighlighting texteditor textwidgets \
 		widgetsaddons windowsystem xmlgui \
 		doctools:build ecm:build
-USE_QT=		concurrent core dbus declarative gui network script scripttools svg \
-		widgets xml xmlpatterns \
+USE_QT=		concurrent core dbus declarative gui network script \
+		scripttools svg widgets xml xmlpatterns \
 		buildtools:build qmake:build testlib:build
 USE_XORG=	x11
 USE_LDCONFIG=	yes
diff --git a/math/rocs/distinfo b/math/rocs/distinfo
index 6367ca212c7f..f9a6a3c08de6 100644
--- a/math/rocs/distinfo
+++ b/math/rocs/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889318
-SHA256 (KDE/release-service/23.08.5/rocs-23.08.5.tar.xz) = f9bcc1ab8222ea48e45b58dd70449b7e02f4cd1e2bd6f62d2879e82588cd3eb1
-SIZE (KDE/release-service/23.08.5/rocs-23.08.5.tar.xz) = 1571200
+TIMESTAMP = 1734460249
+SHA256 (KDE/release-service/24.12.0/rocs-24.12.0.tar.xz) = dcbb3fac20057ea3fc65bee3a54c5a7d90414c6234354c0e91814e29de4ebd7a
+SIZE (KDE/release-service/24.12.0/rocs-24.12.0.tar.xz) = 1567436
diff --git a/math/rocs/pkg-plist b/math/rocs/pkg-plist
index 80cf384daffa..d2de7488dc3b 100644
--- a/math/rocs/pkg-plist
+++ b/math/rocs/pkg-plist
@@ -39,7 +39,6 @@ share/icons/hicolor/scalable/actions/rocsselect.svgz
 share/icons/hicolor/scalable/actions/rocsunidirectional.svgz
 share/icons/hicolor/scalable/actions/rocsvisible.svgz
 share/icons/hicolor/scalable/apps/rocs.svgz
-share/kxmlgui5/rocs/rocsui.rc
 share/locale/ar/LC_MESSAGES/libgraphtheory.mo
 share/locale/ar/LC_MESSAGES/rocs.mo
 share/locale/bg/LC_MESSAGES/libgraphtheory.mo
diff --git a/misc/artikulate/Makefile b/misc/artikulate/Makefile
index a6e1f390259d..b56542504d0f 100644
--- a/misc/artikulate/Makefile
+++ b/misc/artikulate/Makefile
@@ -8,11 +8,10 @@ WWW=		https://edu.kde.org/
 
 USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
 USE_KDE=	archive attica auth codecs config configwidgets coreaddons \
-		crash i18n kdeclarative newstuff service \
-		widgetsaddons xmlgui \
+		crash i18n kdeclarative newstuff service widgetsaddons xmlgui \
 		doctools:build ecm:build
-USE_QT=		core dbus declarative gui multimedia network sql testlib widgets \
-		xml xmlpatterns \
+USE_QT=		core dbus declarative gui multimedia network sql testlib \
+		widgets xml xmlpatterns \
 		buildtools:build qmake:build
 USE_LDCONFIG=	yes
 
diff --git a/misc/artikulate/distinfo b/misc/artikulate/distinfo
index 383d3392c933..efaa17104f7b 100644
--- a/misc/artikulate/distinfo
+++ b/misc/artikulate/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889459
-SHA256 (KDE/release-service/23.08.5/artikulate-23.08.5.tar.xz) = a7099ba6d8524ffde77155476c72a5d87762456aeef2c8baf2954e08e8316ba1
-SIZE (KDE/release-service/23.08.5/artikulate-23.08.5.tar.xz) = 1095552
+TIMESTAMP = 1734460251
+SHA256 (KDE/release-service/24.12.0/artikulate-24.12.0.tar.xz) = dc0ecc629ea6009272d6ecda12d3ba64a126f4cf305de69505f825eb64715b1b
+SIZE (KDE/release-service/24.12.0/artikulate-24.12.0.tar.xz) = 1054704
diff --git a/misc/kdeedu-data/Makefile b/misc/kdeedu-data/Makefile
index b715ae5980fb..0f81ddcf620d 100644
--- a/misc/kdeedu-data/Makefile
+++ b/misc/kdeedu-data/Makefile
@@ -6,7 +6,7 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE edu data files
 WWW=		https://edu.kde.org/applications/all/parley
 
-USES=		cmake kde:5 qt:5 tar:xz
+USES=		cmake kde:6 qt:6 tar:xz
 USE_KDE=	ecm:build
 USE_QT=		buildtools:build qmake:build
 
diff --git a/misc/kdeedu-data/distinfo b/misc/kdeedu-data/distinfo
index bb499a7b3b74..e4792bd21726 100644
--- a/misc/kdeedu-data/distinfo
+++ b/misc/kdeedu-data/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889460
-SHA256 (KDE/release-service/23.08.5/kdeedu-data-23.08.5.tar.xz) = 91da65c109c81ca65b502aa4e4005adbfa3c6aef8f9fa2ed8165c751714f2334
-SIZE (KDE/release-service/23.08.5/kdeedu-data-23.08.5.tar.xz) = 333492
+TIMESTAMP = 1734460252
+SHA256 (KDE/release-service/24.12.0/kdeedu-data-24.12.0.tar.xz) = 42fd4dacaa5d0f44b4c4d1c57c3e313d7bf3d1e3da6e31adb3acace67d249831
+SIZE (KDE/release-service/24.12.0/kdeedu-data-24.12.0.tar.xz) = 338808
diff --git a/misc/kdeedu-data/pkg-plist b/misc/kdeedu-data/pkg-plist
index 6d282b55183b..e0d1336e88fa 100644
--- a/misc/kdeedu-data/pkg-plist
+++ b/misc/kdeedu-data/pkg-plist
@@ -114,6 +114,10 @@ share/apps/kvtml/en_GB/sport.kvtml
 share/apps/kvtml/en_GB/transportation.kvtml
 share/apps/kvtml/en_GB/vegetables.kvtml
 share/apps/kvtml/en_GB/worldcapitals.kvtml
+share/apps/kvtml/eo/animals.kvtml
+share/apps/kvtml/eo/easy.kvtml
+share/apps/kvtml/eo/hard.kvtml
+share/apps/kvtml/eo/medium.kvtml
 share/apps/kvtml/es/animals.kvtml
 share/apps/kvtml/es/computadoras.kvtml
 share/apps/kvtml/es/deportes.kvtml
diff --git a/misc/kdeedu/Makefile b/misc/kdeedu/Makefile
index 11f63cba2904..39f799f9c088 100644
--- a/misc/kdeedu/Makefile
+++ b/misc/kdeedu/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kdeedu
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	misc education kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Entertaining and educational programs for KDE (meta port)
 WWW=		https://www.kde.org
 
-USES=		kde:5 metaport
+USES=		kde:6 metaport
 
 OPTIONS_DEFINE=	ARTIKULATE BLINKEN CANTOR KALGEBRA KALZIUM KANAGRAM KBRUCH KGEOGRAPHY \
 		KHANGMAN KIG KITEN KLETTRES KMPLOT KTOUCH KTURTLE \
diff --git a/misc/kdeutils/Makefile b/misc/kdeutils/Makefile
index 3d8b40804222..89f0a7622228 100644
--- a/misc/kdeutils/Makefile
+++ b/misc/kdeutils/Makefile
@@ -1,13 +1,12 @@
 PORTNAME=	kdeutils
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	2
 CATEGORIES=	misc kde
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Collection of utilities for KDE
 WWW=		https://www.kde.org/applications/utilities/
 
-USES=		kde:5 metaport
+USES=		kde:6 metaport
 
 OPTIONS_DEFINE=	ARK FILELIGHT KCALC KCHARSELECT KDEBUGSETTINGS \
 		KDF KGPG KTEATIME KTIMER KWALLETMANAGER \
@@ -48,7 +47,4 @@ KTIMER_RUN_DEPENDS=		ktimer>=${KDE_APPLICATIONS_VERSION}:x11-clocks/ktimer
 KWALLETMANAGER_DESC=		Password manager for KDE
 KWALLETMANAGER_RUN_DEPENDS=	kwalletmanager>=${KDE_APPLICATIONS_VERSION}:security/kwalletmanager
 
-PRINTMANAGER_DESC=		Printer manager for KDE
-PRINTMANAGER_RUN_DEPENDS=	print-manager>=${KDE_APPLICATIONS_VERSION}:print/print-manager
-
 .include <bsd.port.mk>
